# Generated by sila2.code_generator; sila2.__version__: 0.10.5
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .deviceinfoprovider_feature import DeviceInfoProviderFeature


class OutputFormatNotSupported(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The output format is not supported."
        super().__init__(
            DeviceInfoProviderFeature.defined_execution_errors["OutputFormatNotSupported"], message=message
        )
